<?php
namespace WSR\Mymap\Domain\Model;


/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2015 Joachim Ruhs <postmaster@joachim-ruhs.de>, Web Services Ruhs
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Location
 */
class Location extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

		/**
		* startup
		* 
		* @var \DateTime
		*/
		protected $startup;

		/**
		* Returns startup
		* 
		* @return integer $startup
		*/
		public function getStartup() {
			return $this->startup;
		}
		
		/**
		* Sets startup
		* 
		* @param integer $startup
		* @return void
		*/
		public function setStartup($startup) {
			$this->startup = $startup;
		}



        /**
         * Images
         * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference>
         */
        protected $images;

        /**
         * Files
         * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference>
         */
        protected $files;

		

		/**
		* Returns the images
		*
		* @return
		\TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $images
		*/
		public function getImages() {
		   return $this->images;
		}
	   
		/**
		* Sets the images
		*
		* @param
		\TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $images
		* @return void
		*/
		public function setImages(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $images) {
		   $this->images = $images;
		}
			   
			   
		
		

        /**
         * Returns the files
         *
         * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $files
         */
        public function getFiles() {
                return $this->files;
        }

        /**
         * Sets the files
         *
         * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\CMS\Extbase\Domain\Model\FileReference> $files
         * @return void
         */
        public function setFiles($files) {
                $this->files = $files;
        }
        


	/**
	 * name
	 * 
	 * @var string
	 */
	protected $name = '';

	/**
	 * additionalname
	 * 
	 * @var string
	 */
	protected $additionalname = '';


	/**
	 * address
	 * 
	 * @var string
	 */
	protected $address = '';

	/**
	 * additionaladdress
	 * 
	 * @var string
	 */
	protected $additionaladdress = '';


	/**
	 * zipcode
	 * 
	 * @var string
	 */
	protected $zipcode = '';

	/**
	 * city
	 * 
	 * @var string
	 */
	protected $city = '';

	/**
	 * country
	 * 
	 * @var string
	 */
	protected $country = '';

	/**
	 * additionalcontact
	 * 
	 * @var string
	 */
	protected $additionalcontact = '';

	/**
	 * phone
	 * 
	 * @var string
	 */
	protected $phone = '';

	/**
	 * fax
	 * 
	 * @var string
	 */
	protected $fax = '';

	/**
	 * mobile
	 * 
	 * @var string
	 */
	protected $mobile = '';

	/**
	 * email
	 * 
	 * @var string
	 */
	protected $email = '';

	/**
	 * www
	 * 
	 * @var string
	 */
	protected $www = '';

	/**
	 * description
	 * 
	 * @var string
	 */
	protected $description = '';

	/**
	 * kwp
	 * 
	 * @var float
	 */
	protected $kwp = 0.0;

	/**
	 * lat
	 * 
	 * @var string
	 */
	protected $lat = '';

	/**
	 * lon
	 * 
	 * @var string
	 */
	protected $lon = '';

	/**
	 * geocode
	 * 
	 * @var integer
	 */
	protected $geocode = 0;

	/**
	 * icon
	 * 
	 * @var string
	 */
	protected $icon = '';

	/**
	 * image
	 * 
	 * @var string
	 */
	protected $image = '';

	/**
	 * media
	 * 
	 * @var string
	 */
	protected $media = '';

	/**
	 * categories
	 * 
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\WSR\Mymap\Domain\Model\Category>
	 */
	protected $categories = NULL;

	/**
	 * __construct
	 */
	public function __construct() {
		//Do not remove the next line: It would break the functionality
		$this->initStorageObjects();
	}

	/**
	 * Initializes all ObjectStorage properties
	 * Do not modify this method!
	 * It will be rewritten on each save in the extension builder
	 * You may modify the constructor of this class instead
	 * 
	 * @return void
	 */
	protected function initStorageObjects() {
		$this->categories = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
	}

	/**
	 * Returns the name
	 * 
	 * @return string $name
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Sets the name
	 * 
	 * @param string $name
	 * @return void
	 */
	public function setName($name) {
		$this->name = $name;
	}

	/**
	 * Returns the additionalname
	 * 
	 * @return string $additionalname
	 */
	public function getAdditionalname() {
		return $this->additionalname;
	}

	/**
	 * Sets the additionalname
	 * 
	 * @param string $additionalname
	 * @return void
	 */
	public function setAdditionalname($additionalname) {
		$this->additionalname = $additionalname;
	}


	/**
	 * Returns the additionalcontact
	 * 
	 * @return string $additionalcontact
	 */
	public function getAdditionalcontact() {
		return $this->additionalcontact;
	}

	/**
	 * Sets the additionalcontact
	 * 
	 * @param string $additionalcontact
	 * @return void
	 */
	public function setAdditionalcontact($additionalcontact) {
		$this->additionalname = $additionalcontact;
	}




	/**
	 * Returns the address
	 * 
	 * @return string $address
	 */
	public function getAddress() {
		return $this->address;
	}

	/**
	 * Sets the address
	 * 
	 * @param string $address
	 * @return void
	 */
	public function setAddress($address) {
		$this->address = $address;
	}

	/**
	 * Returns the additionaladdress
	 * 
	 * @return string $additionaladdress
	 */
	public function getAdditionaladdress() {
		return $this->additionaladdress;
	}

	/**
	 * Sets the additionaladdress
	 * 
	 * @param string $additionaladdress
	 * @return void
	 */
	public function setAdditionaladdress($additionaladdress) {
		$this->additionaladdress = $additionaladdress;
	}






	/**
	 * Returns the zipcode
	 * 
	 * @return string $zipcode
	 */
	public function getZipcode() {
		return $this->zipcode;
	}

	/**
	 * Sets the zipcode
	 * 
	 * @param string $zipcode
	 * @return void
	 */
	public function setZipcode($zipcode) {
		$this->zipcode = $zipcode;
	}

	/**
	 * Returns the city
	 * 
	 * @return string $city
	 */
	public function getCity() {
		return $this->city;
	}

	/**
	 * Sets the city
	 * 
	 * @param string $city
	 * @return void
	 */
	public function setCity($city) {
		$this->city = $city;
	}

	/**
	 * Returns the country
	 * 
	 * @return string $country
	 */
	public function getCountry() {
		return $this->country;
	}

	/**
	 * Sets the country
	 * 
	 * @param string $country
	 * @return void
	 */
	public function setCountry($country) {
		$this->country = $country;
	}

	/**
	 * Returns the phone
	 * 
	 * @return string $phone
	 */
	public function getPhone() {
		return $this->phone;
	}

	/**
	 * Sets the phone
	 * 
	 * @param string $phone
	 * @return void
	 */
	public function setPhone($phone) {
		$this->phone = $phone;
	}

	/**
	 * Returns the fax
	 * 
	 * @return string $fax
	 */
	public function getFax() {
		return $this->fax;
	}

	/**
	 * Sets the fax
	 * 
	 * @param string $fax
	 * @return void
	 */
	public function setFax($fax) {
		$this->fax = $fax;
	}

	/**
	 * Returns the mobile
	 * 
	 * @return string $mobile
	 */
	public function getMobile() {
		return $this->mobile;
	}

	/**
	 * Sets the mobile
	 * 
	 * @param string $mobile
	 * @return void
	 */
	public function setMobile($mobile) {
		$this->mobile = $mobile;
	}

	/**
	 * Returns the email
	 * 
	 * @return string $email
	 */
	public function getEmail() {
		return $this->email;
	}

	/**
	 * Returns the www
	 * 
	 * @return string $www
	 */
	public function getWww() {
		return $this->www;
	}

	/**
	 * Sets the email
	 * 
	 * @param string $email
	 * @return void
	 */
	public function setEmail($email) {
		$this->email = $email;
	}

	/**
	 * Sets the www
	 * 
	 * @param string $www
	 * @return void
	 */
	public function setWww($www) {
		$this->www = $www;
	}

	/**
	 * Returns the description
	 * 
	 * @return string $description
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * Sets the description
	 * 
	 * @param string $description
	 * @return void
	 */
	public function setDescription($description) {
		$this->description = $description;
	}


	/**
	 * Returns the kwp
	 * 
	 * @return float $kwp
	 */
	public function getKwp() {
		return $this->kwp;
	}

	/**
	 * Sets the kwp
	 * 
	 * @param float $kwp
	 * @return void
	 */
	public function setKwp($kwp) {
		$this->kwp = $kwp;
	}


	/**
	 * Returns the lat
	 * 
	 * @return string $lat
	 */
	public function getLat() {
		return $this->lat;
	}

	/**
	 * Sets the lat
	 * 
	 * @param string $lat
	 * @return void
	 */
	public function setLat($lat) {
		$this->lat = $lat;
	}

	/**
	 * Returns the lon
	 * 
	 * @return string $lon
	 */
	public function getLon() {
		return $this->lon;
	}

	/**
	 * Sets the lon
	 * 
	 * @param string $lon
	 * @return void
	 */
	public function setLon($lon) {
		$this->lon = $lon;
	}

	/**
	 * Returns the geocode
	 * 
	 * @return integer $geocode
	 */
	public function getGeocode() {
		return $this->geocode;
	}

	/**
	 * Sets the geocode
	 * 
	 * @param integer $geocode
	 * @return void
	 */
	public function setGeocode($geocode) {
		$this->geocode = $geocode;
	}

	/**
	 * Returns the icon
	 * 
	 * @return integer $icon
	 */
	public function getIcon() {
		return $this->icon;
	}

	/**
	 * Sets the icon
	 * 
	 * @param integer $icon
	 * @return void
	 */
	public function setIcon($icon) {
		$this->icon = $icon;
	}

	/**
	 * Returns the image
	 * 
	 * @return integer $image
	 */
	public function getImage() {
		return $this->image;
	}

	/**
	 * Sets the image
	 * 
	 * @param integer $image
	 * @return void
	 */
	public function setImage($image) {
		$this->image = $image;
	}

	/**
	 * Returns the media
	 * 
	 * @return integer $media
	 */
	public function getMedia() {
		return $this->media;
	}

	/**
	 * Sets the media
	 * 
	 * @param integer $media
	 * @return void
	 */
	public function setMedia($media) {
		$this->media = $media;
	}

	/**
	 * Adds a Category
	 * 
	 * @param \WSR\Mymap\Domain\Model\Category $category
	 * @return void
	 */
	public function addCategory(\WSR\Mymap\Domain\Model\Category $category) {
		$this->categories->attach($category);
	}

	/**
	 * Removes a Category
	 * 
	 * @param \WSR\Mymap\Domain\Model\Category $categoryToRemove The Category to be removed
	 * @return void
	 */
	public function removeCategory(\WSR\Mymap\Domain\Model\Category $categoryToRemove) {
		$this->categories->detach($categoryToRemove);
	}

	/**
	 * Returns the categories
	 * 
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\WSR\Mymap\Domain\Model\Category> $categories
	 */
	public function getCategories() {
		return $this->categories;
	}

	/**
	 * Sets the categories
	 * 
	 * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\WSR\Mymap\Domain\Model\Category> $categories
	 * @return void
	 */
	public function setCategories(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $categories) {
		$this->categories = $categories;
	}

}